AvisFormation.WebUi/AvisFormation.WebUi/Controllers/ContactController.cs
using AvisFormation.Logic;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Mail;
using System.Web;
using System.Web.Mvc;

namespace AvisFormation.WebUi.Controllers
{
    public class ContactController : Controller
    {
        // GET: Contact
        public ActionResult Index()
        {
            return View();
        }
        [HttpPost]
        public ActionResult EnvoyerEmail(string nom, string email,string message)
        {
            try
            {
                var mger = new EmailManager();
                mger.SendEmail(nom, message, email);
            }
            catch
            {
                return View("ErreurEnvoi");
            }
            return View("Merci");
        }
    }
}

AvisFormation.WebUi/AvisFormation.WebUi/Views/Contact/ErreurEnvoi.cshtml
@{
    ViewBag.Title = "Echec de l'envoi";
}

<h2>Echec de l'envoi</h2>
<p>Nous sommes désolé, l'envoi de votre message a échoué, nous vous invitons à réessayer ou de nous contacter par pigeon voyageur.</p>

AvisFormation.WebUi/AvisFormation.WebUi/Views/Contact/Index.cshtml
@{
    ViewBag.Title = "Index";
}
<div class="container bg-white padding30">
    <h2>Contactez nous !</h2>
    @using (Html.BeginForm("EnvoyerEmail", "Contact", FormMethod.Post))
    {
        <div class="form-group">
            <label>Nom:</label>
            <input class="form-control" name="nom" id="nom" required />
        </div>
        <div class="form-group">
            <label>Email:</label>
            <input class="form-control" name="email" id="email" required />
        </div>
        <div class="form-group">
            <label>Message</label>
            <textarea class="form-control" name="message" id="message" rows="5" required></textarea>
        </div>
         <input type="submit" class="btn btn-warning" value="Envoyer" />
      }
</div>

AvisFormation.WebUi/AvisFormation.WebUi/Views/Contact/Merci.cshtml
@{
    ViewBag.Title = "Merci";
}

<h2>Merci pour votre message</h2>
<p>Votre message a bien été envoyé, Nous y répondrons dès que possible.</p>